SRC-2020-0027 : Microsoft Exchange Server NewExchangeCertificate WriteRequest File Overwrite Denial of Service Vulnerability

CVE ID:

CVE-2020-17085

CVSS Score:

6.2, (/AV:N/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:L/E:U/RL:O/RC:C)

Affected Vendors:

Microsoft

Affected Products:

Microsoft Exchange Server

Vulnerability Details:

This vulnerability allows remote attackers to cause a denial of service against affected installations of Exchange Server. Authentication is required to exploit this vulnerability.

The specific flaw exists within the processing of the New-ExchangeCertificate cmdlet. The issue results from the lack of proper validation of user-supplied data when writing files. An attacker can leverage this vulnerability to cause a denial of service.

Vendor Response:

Microsoft has issued an update to correct this vulnerability. More details can be found at:
https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2020-17085

Disclosure Timeline:

  • 2020-05-18 – Sent to Microsoft
  • 2020-11-10 – Coordinated public release of advisory

Credit:

This vulnerability was discovered by Steven Seeley (mr_me) of Qihoo 360 Vulcan Team